=== Filters/Core/CMakeLists.txt ===
set(Module_SRCS
  vtkAppendFilter.cxx
  vtkAppendPolyData.cxx
  vtkAppendSelection.cxx
  vtkArrayCalculator.cxx
  vtkAssignAttribute.cxx
  vtkAttributeDataToFieldDataFilter.cxx
  vtkCellDataToPointData.cxx
  vtkCleanPolyData.cxx
  vtkClipPolyData.cxx
  vtkCompositeDataProbeFilter.cxx
  vtkConnectivityFilter.cxx
  vtkContourFilter.cxx
  vtkContourGrid.cxx
  vtkContourHelper.cxx
  vtkDataObjectGenerator.cxx
  vtkDataObjectToDataSetFilter.cxx
  vtkDataSetEdgeSubdivisionCriterion.cxx
  vtkDataSetToDataObjectFilter.cxx
  vtkDecimatePolylineFilter.cxx
  vtkDecimatePro.cxx
  vtkDelaunay2D.cxx
  vtkDelaunay3D.cxx
  vtkElevationFilter.cxx
  vtkExecutionTimer.cxx
  vtkFeatureEdges.cxx
  vtkFieldDataToAttributeDataFilter.cxx
  vtkGlyph2D.cxx
  vtkGlyph3D.cxx
  vtkHedgeHog.cxx
  vtkHull.cxx
  vtkIdFilter.cxx
  vtkMarchingCubes.cxx
  vtkMarchingSquares.cxx
  vtkMaskFields.cxx
  vtkMaskPoints.cxx
  vtkMaskPolyData.cxx
  vtkMassProperties.cxx
  vtkMergeDataObjectFilter.cxx
  vtkMergeFields.cxx
  vtkMergeFilter.cxx
  vtkPointDataToCellData.cxx
  vtkPolyDataConnectivityFilter.cxx
  vtkPolyDataNormals.cxx
  vtkProbeFilter.cxx
  vtkQuadricClustering.cxx
  vtkQuadricDecimation.cxx
  vtkRearrangeFields.cxx
  vtkReverseSense.cxx
  vtkSimpleElevationFilter.cxx
  vtkSmoothPolyDataFilter.cxx
  vtkStripper.cxx
  vtkStructuredGridOutlineFilter.cxx
  vtkSynchronizedTemplates2D.cxx
  vtkSynchronizedTemplates3D.cxx
  vtkSynchronizedTemplatesCutter3D.cxx
  vtkTensorGlyph.cxx
  vtkThreshold.cxx
  vtkThresholdPoints.cxx
  vtkTransposeTable.cxx
  vtkTriangleFilter.cxx
  vtkTubeFilter.cxx
  vtkVectorDot.cxx
  vtkVectorNorm.cxx
  vtkWindowedSincPolyDataFilter.cxx

  vtkCutter.cxx
  vtkCompositeCutter.cxx
  vtkGridSynchronizedTemplates3D.cxx
  vtkRectilinearSynchronizedTemplates.cxx
  vtkEdgeSubdivisionCriterion.cxx
  vtkStreamingTessellator.cxx
  vtkImplicitPolyDataDistance.cxx
  vtkStreamerBase.cxx
  vtkCenterOfMass.cxx

  vtkGhostArray.cxx
  vtkImageAppend.cxx
  vtkStructuredGridAppend.cxx
  vtkAppendCompositeDataLeaves.cxx
  )

set_source_files_properties(
  vtkEdgeSubdivisionCriterion
  vtkStreamerBase
  ABSTRACT
  )

set_source_files_properties(
  vtkContourHelper
  WRAP_EXCLUDE
  )

vtk_module_library(vtkFiltersCore ${Module_SRCS})
