=== debian/changelog ===
vtk6 (6.2.0+dfsg1-10build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:04:46 +0000

vtk6 (6.2.0+dfsg1-10) unstable; urgency=medium

  * [81e7008] d/p/101: Correct install path for Java files within build system
  * [61b464c] d/control: Set minimum version for libgl2ps-dev, Closes: #766491
  * [4ac3ffc] d/control: Enable module vtkRenderingExternal, Closes: #810344
  * [7ae06a0] d/p/102: Enable use of system proj4, Closes: #750184
  * [ce3f3ad] d/control: Enable system LIBPROJ4
  * [7720d44] Apply new patches 101 also 102 in source code
  * [d446bd8] d/control: Update standards version to 3.9.7
  * [70da96e] d/control: depends python-vtk6 and tcl-vtk6 on libvtk6.2-qt 
  * [2e881c5] Update watchfile to only search for 6.X.X versions
  * [e28b82b] d/control, d/rules: Move to qt5 also on armel, armhf
  * [f2883f3] d/p/104: Enables compiling with gcc-6. Closes: #812296

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 28 Mar 2016 08:55:49 +0000

vtk6 (6.2.0+dfsg1-9) unstable; urgency=medium

  * [842987d] Add the libvtk*Qt*.so files to libvtk6-qt-dev
  * [b9dee31] Update Java installation locations Closes: #773420 
  * [c15ed1e] Move Python packages out of *-dev packages and provide
      a symlink in the python-vtk6 package instead Closes: #737325
      Closes: #773379 
  * [74543a2] add overrides and move PythonTK lib to python package
  * [2685ea2] Make perl scripts executable

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 17 Feb 2016 12:13:56 +0000

vtk6 (6.2.0+dfsg1-8) unstable; urgency=medium

  [ Anton Gladky ]
  * [3bf2478] Add allow-stderr to autopkgtest. (Closes: #767338)

  [ Matthias Klose ]
  * [78abebb] Set JVM max memory to 1024m.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Feb 2016 20:37:38 +0100

vtk6 (6.2.0+dfsg1-7) unstable; urgency=medium

  * Add patch 96_* to fix a race condition in vtkLookupTableMapData
  * Add patch 97_* to correct some formulae in documentation 
  * Add Gert Wollny to uploaders 

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 01 Feb 2016 00:38:48 +0100

vtk6 (6.2.0+dfsg1-6) unstable; urgency=medium

  * [18cd92a] Add missing libaec-dev to build-depends.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jan 2016 21:55:22 +0100

vtk6 (6.2.0+dfsg1-5) unstable; urgency=medium

  [ Anton Gladky ]
  * [5110a34] Remove libqtwebkit-dev from depends of libvtk6-qt-dev.
  * Update d/copyright. Thanks to Thorsten Alteholz for pointing this out.

  [ Gert Wollny ]
  * [8fd5f1f] Move vtk-doc perl-scripts to dev-package. (Closes: #751395)

  [ Andreas Tille ]
  * [9581b71] Re-introduce libvtk6-java. (Closes: #798963)
  * [9689d50] Remove files from Git repository that are not part of
              upstream source

  [ Bas Couwenberg ]
  * [429f902] Add patch for GDAL 2.0 support. (Closes: #802624)

  [ Andreas Cadhalpun ]
  * [8c4dcf0] Add support for FFmpeg 2.9. (Closes: #803869)

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Dec 2015 18:02:41 +0100

vtk6 (6.2.0+dfsg1-4) unstable; urgency=medium

  * [83a91c2] Move some more header-files into libvtk6-qt-dev. (Closes: #796891)
  * [4c30afa] Remove useless _formulas.log. First step to reproducible builds.

 -- Anton Gladky <gladk@debian.org>  Tue, 25 Aug 2015 20:13:44 +0200

vtk6 (6.2.0+dfsg1-3) unstable; urgency=medium

  [ Anton Gladky ]
  * [f225c63] Use the current tk-version. (Closes: #750200)
  * [c44cb24] Add BD on libnetcdf-cxx-legacy-dev. (Closes: #794040)

  [ Nico Schlömer ]
  * [1ec0dac] Provide MPI capabilities. (Closes: #789168)

 -- Anton Gladky <gladk@debian.org>  Sat, 08 Aug 2015 09:24:52 +0200

vtk6 (6.2.0+dfsg1-2) unstable; urgency=medium

  * [73ff79a] Fix compilation on arm* with missing Qt. (Closes: #793304)

 -- Anton Gladky <gladk@debian.org>  Wed, 29 Jul 2015 16:10:50 -0700

vtk6 (6.2.0+dfsg1-1) unstable; urgency=medium

  * [458b38a] Put Qt-files into a separate package. (Closes: #750193)
  * [880e68d] Remove Qt4 dependencies. (Closes: #784557, #765491)
  * [8e7e02a] Apply cme fix dpkg-control.
  * [541359c] Clean conflicts with obsolete packages.
  * [1734f03] Rename patches.

 -- Anton Gladky <gladk@debian.org>  Tue, 19 May 2015 23:30:34 +0200

vtk6 (6.2.0+dfsg1-1~exp1) experimental; urgency=medium

  * [0a01541] Update install-files for 6.2 version.
  * [4bc3890] Update/remove patches.
  * [874a7d6] Update d/rules.
  * [60c9ecc] Update d/copyright
  * [eb727c1] Remove old patches.
  * [9b57b0d] Fix dep-3 header in patch.
  * [3612db2] Imported Upstream version 6.2.0+dfsg1
  * [8121882] Use wrap-and-sort.
  * [895a399] Use cme fix dpkg-control.
  * [ff73402] Better fix for #773424.
  * [d31a99c] Update descriptions in d/control.

 -- Anton Gladky <gladk@debian.org>  Thu, 26 Mar 2015 19:15:10 +0100
